<template>
  <div id="voting">
    <div class="container-fluid">
      <div class="container">
        <div class="form-group">
          <div v-for="(option, key) in this.options" v-bind:key="key">
            <div v-for="(option_1, key_2) in option" v-bind:key="key_2">
              <div v-if="key_2===getCode">
                <div v-for="(option_2, key_3) in option_1" v-bind:key="key_3">
                  <div v-if="key_3==='question'">
                      <h2>{{option_2}}</h2>
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="form-group-options"> 
          <div v-for="(option, key) in this.options" v-bind:key="key">
            <div v-for="(option_1, key_2) in option" v-bind:key="key_2">
              <div v-if="key_2===getCode">
                <div v-for="(option_2, key_3) in option_1" v-bind:key="key_3">
                  <div v-if="key_3!='question'">
                  <div v-for="(option_3, key_4) in option_2" v-bind:key="key_4">
                    <p>
                      <button :disabled='dis' type="button" class="btn btn-outline-secondary" :name="option_3[0]+key_4" @click="edit(key_2+'/'+key_3+'/'+key_4+'/',option_3[1])">{{option_3[0]}}</button>
                    </p>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>  
        </div>
        <div v-show="terms">
          <button type="button" class="btn btn-secondary" :name="graph" @click="changeVote" >Change Vote</button>
        </div>
        <div class="form-group">
          <button type="button" class="btn btn-outline-info" :name="graph" @click="graph" >Results</button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapState, mapGetters } from 'vuex'
import { RTDB } from '../main.js';
import { vue } from "../main.js";
export default {
  computed:{
    ...mapState(['code']),
    ...mapGetters(['getCode']),
    dis(){
      return this.terms;
    },
  },
  name: "voting",
  data() {
    options:[]
    return {
      terms: false,
      no_votes:0,
      option_selected:''
    };
  },
  beforeCreate(){
    this.options=[]
  },
  created(){
    this.options=[];
    let tempData = null;
    RTDB.ref('polls').on('value', snapshot => {
      tempData=(snapshot.val());
      this.options.push(tempData);
    });
  },
  methods:{
    edit(child,value){
      this.terms=true;
      this.option_selected=child
      let val=0;
      RTDB.ref('polls/'+this.option_selected+'/1').on('value', snapshot => {val=snapshot.val()});
      this.options=[]
      val+=1;
      RTDB.ref('polls').child(child).update({'1':val});
    },
    graph(){
      console.log("Aqui entro");
      this.$router.push({name:'ViewPoll'})
    },
    changeVote(){
      this.options=[]
      let val=0;
      RTDB.ref('polls/'+this.option_selected+'/1').on('value', snapshot => {val=snapshot.val()});
      this.options=[]
      val-=1;
      RTDB.ref('polls').child(this.option_selected).update({'1':val});
      this.terms=!this.terms;
    }
  },
  
}; 
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h4 {
  color: #4c4c4c;
  text-align: center;
}
.progress-item{
  margin-top: 1rem;
  position: relative;
  width: 100%;
}

.options-text{
  width: auto;
  min-width: 10rem;
}

.form-group-options{
  padding-top: 7%;
}

body{
    width:960px;
    margin:45px auto;
}
form{
    width:330px;
    border-top:1px dotted #D9D9D9;
    margin:10px auto
}
h2{
    color:#4C4C4C;
    text-align:center
}
.container{
    text-align:center;
    width:30%;
    border:1px solid #D0D0D0;
    background-color:#fff;
    padding-top:40px;
    padding-bottom:40px;
    border-radius:5px;
    margin: 0 auto;
}
.btn-outline-secondary {
    width: 60% ;
    border-color: #6c757d;
}
</style>
